/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 06/11/2017 : SCA : V2.2.1 
 *  Redmine #5403 - DMPT3 : add crmap conf file 
 * Version : 06/04/2023 : LBE : V2.7
 * DM-ID : redmine#8642 : 06/04/2023 : Added 3D shockwave
 * ----------------------------------------
 */
package fr.tlse.irap.server.serviceDAO.constant;

public class CONFIG {

	private static String CDPP;
	private static String CDPP_WS;
	private static String DATA_PATH;
	private static String SPEED_DIR;
	private static String SEP_DIR;
	private static String JMAP_DIR;
	private static String FLARE_DIR;
	private static String SHOCK_DIR;
        private static String SHOCKWAVES3D_DIR;
	private static String FLAREFLUX_DIR;
	private static String CRMAP_DIR;
	private static String INSITU_DIR;
	private static String RADIAL_DIR;
	private static String COROTATION_DIR;
	private static String CMEFIT_DIR;
	private static String CIRFIT_DIR;
	private static String FIELDLINE_DIR;
	
	private static String CONF_CRMAP_FILE;

	public CONFIG() {
	}

	public String getCDPP() {
		return CDPP;
	}

	public void setCDPP(String cDPP) {
		CDPP = cDPP;
	}

	public String getCDPP_WS() {
		return CDPP_WS;
	}

	public void setCDPP_WS(String cDPP_WS) {
		CDPP_WS = cDPP_WS;
	}

	public String getDATA_PATH() {
		return DATA_PATH;
	}

	public void setDATA_PATH(String dATA_PATH) {
		DATA_PATH = dATA_PATH;
	}

	public String getSPEED_DIR() {
		return SPEED_DIR;
	}

	public void setSPEED_DIR(String sPEED_DIR) {
		SPEED_DIR = sPEED_DIR;
	}

	public String getSEP_DIR() {
		return SEP_DIR;
	}

	public void setSEP_DIR(String sEP_DIR) {
		SEP_DIR = sEP_DIR;
	}

	public String getJMAP_DIR() {
		return JMAP_DIR;
	}

	public void setJMAP_DIR(String jMAP_DIR) {
		JMAP_DIR = jMAP_DIR;
	}

	public String getFLARE_DIR() {
		return FLARE_DIR;
	}

	public void setFLARE_DIR(String fLARE_DIR) {
		FLARE_DIR = fLARE_DIR;
	}

	public String getCRMAP_DIR() {
		return CRMAP_DIR;
	}

	public void setCRMAP_DIR(String cRMAP_DIR) {
		CRMAP_DIR = cRMAP_DIR;
	}

	public String getINSITU_DIR() {
		return INSITU_DIR;
	}

	public void setINSITU_DIR(String iNSITU_DIR) {
		INSITU_DIR = iNSITU_DIR;
	}

	public String getRADIAL_DIR() {
		return RADIAL_DIR;
	}

	public void setRADIAL_DIR(String rADIAL_DIR) {
		RADIAL_DIR = rADIAL_DIR;
	}

	public String getCOROTATION_DIR() {
		return COROTATION_DIR;
	}

	public void setCOROTATION_DIR(String cOROTATION_DIR) {
		COROTATION_DIR = cOROTATION_DIR;
	}

	public String getCONF_CRMAP_FILE() {
		return CONF_CRMAP_FILE;
	}

	public void setCONF_CRMAP_FILE(String cONF_CRMAP_FILE) {
		CONF_CRMAP_FILE = cONF_CRMAP_FILE;
	}

	public String getCMEFIT_DIR() {
		return CMEFIT_DIR;
	}

	public void setCMEFIT_DIR(String cMEFIT_DIR) {
		CMEFIT_DIR = cMEFIT_DIR;
	}

	public String getCIRFIT_DIR() {
		return CIRFIT_DIR;
	}

	public void setCIRFIT_DIR(String cIRFIT_DIR) {
		CIRFIT_DIR = cIRFIT_DIR;
	}

	public String getFLAREFLUX_DIR() {
		return FLAREFLUX_DIR;
	}

	public void setFLAREFLUX_DIR(String fLAREFLUX_DIR) {
		FLAREFLUX_DIR = fLAREFLUX_DIR;
	}

	public String getFIELDLINE_DIR() {
		return FIELDLINE_DIR;
	}

	public void setFIELDLINE_DIR(String fIELDLINE_DIR) {
		FIELDLINE_DIR = fIELDLINE_DIR;
	}

	public String getSHOCK_DIR() {
		return SHOCK_DIR;
	}
	public void setSHOCK_DIR(String sHOCK_DIR) {
		SHOCK_DIR = sHOCK_DIR;
	}
	public String getSHOCKWAVES3D_DIR() {
		return SHOCKWAVES3D_DIR;
	}
	public void setSHOCKWAVES3D_DIR(String pDir) {
		SHOCKWAVES3D_DIR = pDir;
	}


}
